org.gnome.gtk

## Interface Application.CommandLine

- Enclosing class:
    Application

      public static interface Application.CommandLine

  This signal is emitted on the primary instance when command line arguments are to be processed. Typical usage would be:

       app.connect(new Application.CommandLine() {
           public int onCommandLine(Application source, ApplicationCommandLine remote) {
               final String[] args;

               args = remote.getArguments();

               // do stuff here in primary with the passed arguments

               remote.exit();
               return 0;
           }
       }

  as ever, the name of a parameter in a method implenting an interface is arbitrary, but naming the ApplicationCommmandLine object `remote` makes the point that it represents the command line arguments being sent over the wire.

  When you handle this signal you need to specify the exit code that the invoking process should in turn return to the shell, ie:

       s = app.run(args);
       System.exit(s);

  Since:
    4.1.2
  Author:
    Andrew Cowie

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `onCommandLine(Application source, ApplicationCommandLine cmdline)`

- - ### Method Detail

    - #### onCommandLine

          int onCommandLine(Application source,
                          ApplicationCommandLine cmdline)